
function smartStick1(contid, objprop, title, refreshtime, measure){        
  this.title = title;
  this.measure = measure;
  
  this.title_font = 'bold 10px Tahoma';
  this.value_font = 'bold 14px Tahoma';
  this.color = 'white';
  this.background1 = "rgba(100,200,100,1)";
  this.background2 = "rgba(120,120,120,1)";
  
  if (this.measure == '') {
    this.measure = '°';
  }  
  
  this.contid = contid;
  this.objprop = objprop;
  this.refreshtime = refreshtime;
  
  this.redraw = function(data){   
	// Options        
    var d=data.split('|');
    var val=d[0];
    var valupdated=d[1];  

    if (val != ''){
      val = Number(val).toFixed(2);
    }
   
	// Rect
	this.context.fillStyle = this.background1;
	this.context.fillRoundedRect(0, 0, 75, 55, 10);
  
	this.context.fillStyle = this.background2;
	this.context.fillRect(0, 35, 75, 10);
	this.context.fillRoundedRect(0, 35, 75, 20, 10);
	
	if (this.drawmarker) this.drawmarker();
  
	this.context.textAlign = "center";  
	this.context.fillStyle = this.color;
  
    // Value  	
    if (val != ''){    
      this.elem.title = valupdated;
      this.context.font = this.value_font;
      this.context.fillText(val+this.measure, 38, 25, 65);
    }

    // Title
    this.context.font = this.title_font;
    this.context.fillText(this.title, 38, 50, 65); 
  } 
  
  this.drawmarker = function(){
    if (this.eventState == ''){
	  this.context.fillStyle = 'green';
	} else {
  	  if (this.eventState == 'processing'){
	    this.context.fillStyle = 'black';
	  } else {
	    this.context.fillStyle = 'red';          
	  }
	}
	
	this.context.font = this.title_font;
	this.context.textAlign = "left";  
    this.context.fillText('•', 2, 10); 
  }
  
  this.init( );
}

smartStick1.prototype = new s2_object();