﻿
function Stick1c(contid, objprop, title, refreshtime, measure){        
  this.title = title;
  this.measure = measure;
  
  this.title_font = 'bold 8px Tahoma';
  this.value_font = 'bold 12px Tahoma';
  this.color = 'white';
  this.background = 'rgba(100,160,230,1)';
  
  if (this.measure == '') {
    this.measure = '°';
  }  
  
  this.contid = contid;
  this.objprop = objprop;
  this.refreshtime = refreshtime;
  
  this.redraw = function(data){   
	// Options        
    var d=data.split('|');
    var val=d[0];
    var valupdated=d[1];  

    if (val != ''){
      val = Number(val).toFixed(2);
    }
   
    // Rect
    this.context.fillStyle = this.background;
    this.context.fillRoundedRect(0, 0, 50, 50, 10);

    // Div
    this.context.strokeStyle = this.color;
    this.context.lineWidth = 2, 
    this.context.moveTo(5,30);
    this.context.lineTo(45,30);
    this.context.stroke();
	
	if (this.drawmarker) this.drawmarker();

	this.context.textAlign = "center";  
	this.context.fillStyle = this.color;  

    // Value  	
    if (val != ''){    
      this.elem.title = valupdated;
      this.context.font = this.value_font;
      this.context.fillText(val+this.measure, 25, 20, 45);
    }

    // Title
    this.context.font = this.title_font;
    this.context.fillText(this.title, 25, 42, 45); 
  } 
  
  this.drawmarker = function(){
    if (this.eventState == ''){
	  this.context.fillStyle = 'green';
	} else {
  	  if (this.eventState == 'processing'){
	    this.context.fillStyle = 'black';
	  } else {
	    this.context.fillStyle = 'red';          
	  }
	}
	
	this.context.font = this.title_font;
	this.context.textAlign = "left";  
    this.context.fillText('•', 2, 8); 
  }  
    
  this.init( );
}

Stick1c.prototype = new s2_object();